Package javax.help

# Class Merge.DefaultMergeFactory

java.lang.Object
javax.help.Merge.DefaultMergeFactory

Enclosing class:
  `Merge`

public static class Merge.DefaultMergeFactory extends Object
Default Merge factory which creates concrete Merge objects

## Constructor Summary

Constructors
Constructor
Description
`DefaultMergeFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Merge`
`getMerge(NavigatorView masterView, NavigatorView slaveView)`
Returns suitable Merge object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultMergeFactory

public DefaultMergeFactory()

## Method Details

### getMerge

public static Merge getMerge(NavigatorView masterView, NavigatorView slaveView)
Returns suitable Merge object

Parameters:
  `masterView` - The master NavigatorView
  `slaveView` - The slave NavigatorView
Returns:
  The Merge object